Whatsapp opt-out/opt-in API

The WhatsApp opt-in API allows you to inform Clickpost systems if WhatsApp communication shall be enabled/disabled for a particular shipment.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Important Links

Run in Postman API Guide

Sample Payload

{
    "awb":"<awb_number>",
    "whatsapp_disable":true
}

Request Body

Field NameData TypeFieldDescription
awbstringMandatoryThe airway bill number of the shipment for which Whatsapp
whatsapp_disable booleanMandatoryWhether Whatsapp communication needs to be disabled for a particular shipment

Response

meta [meta parameters]

Field NameData TypeDescription
successBooleanIndicates the success of the API request
messageStringSUCCESS in case request was successfully processed by Clickpost, else returns error message.
statusHTTP CodeThe HTTP response status code of the API request
Query Params
string
required

Unique license key of the customer, used for authentication

Body Params
json
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json